Bug 74869 - REGRESSION (r97533): Optgroup label is not disabled
Summary: REGRESSION (r97533): Optgroup label is not disabled
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac OS X 10.7
: P1 Major
Assignee: Darin Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-19 09:39 PST by Joshua Cody
Modified: 2011-12-23 02:21 PST (History)
5 users (show)

See Also:


Attachments
test case (509 bytes, text/html)
2011-12-20 14:56 PST, Alexey Proskuryakov
no flags Details
Patch (1.35 KB, patch)
2011-12-22 11:13 PST, Darin Adler
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Cody 2011-12-19 09:39:32 PST
The label of an option group within a select is selectable and appears with standard <option> styling. It should match the option disabled styling.

See http://jsfiddle.net/X8Sty/
Comment 1 Alexey Proskuryakov 2011-12-20 14:56:42 PST
Created attachment 120092 [details]
test case

Same test as an attachment.
Comment 2 Alexey Proskuryakov 2011-12-20 15:15:17 PST
Regressed in <http://trac.webkit.org/changeset/97533> (Follow up the recent HTMLSelectElement improvements with a little bit more).

What I'm seeing is that it's not only drawn incorrectly, but can actually be selected.
Comment 3 Darin Adler 2011-12-21 10:29:16 PST
I’ll look at this as soon as I have a chance.
Comment 4 Darin Adler 2011-12-22 11:13:43 PST
Created attachment 120345 [details]
Patch
Comment 5 WebKit Review Bot 2011-12-23 02:20:56 PST
Comment on attachment 120345 [details]
Patch

Clearing flags on attachment: 120345

Committed r103616: <http://trac.webkit.org/changeset/103616>
Comment 6 WebKit Review Bot 2011-12-23 02:21:00 PST
All reviewed patches have been landed.  Closing bug.